=== debian/changelog ===
redis (5:5.0.7-2) unstable; urgency=medium

  [ Christian Göttsche ]
  * Update systemd service to reflect new names, etc.
  * Create directories in postinst with correct SELinux context.

  [ Chris Lamb ]
  * Bump Standards-Version to 4.5.0.

  [ David Prévot ]
  * Update long description to remove duplicate information.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Feb 2020 22:47:58 +0000

redis (5:5.0.7-1) unstable; urgency=medium

  * New upstream bugfix release.
    <https://groups.google.com/forum/#!topic/redis-db/LYBeXlUKU6c>
  * Bump Standards-Version to 4.4.1.
  * Run wrap-and-sort -sa.

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Nov 2019 20:46:19 -0500

redis (5:5.0.6-1) unstable; urgency=medium

  * New upstream release.
    <https://groups.google.com/forum/#!topic/redis-db/qTRdgyEbyYU>
  * Specify "Rules-Requires-Root: no">.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Sep 2019 16:48:24 +0100
