=== debian/changelog ===
redis (5:5.0.14-1+deb10u10) buster-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * CVE-2025-46817: Fix an issue where an authenticated user could have used a
    specially-crafted Lua script to cause an integer overflow and potentially
    lead to remote code execution. (Closes: #1117553)
  * CVE-2025-46819: Address a potential vulnerability where an authenticated
    user could have used a specially-crafted LUA script to read out-of-bound
    data and/or crash the server and thereby create a denial of service attack.
    (Closes: #1117553)
  * CVE-2025-49844: Fix an issue where authenticated users could have exploited
    a specially-crafted Lua script to manipulate the garbage collector, trigger
    a use-after-free and potentially lead to remote code execution.
    (Closes: #1117553)

 -- Chris Lamb <lamby@debian.org>  Wed, 08 Oct 2025 12:00:30 -0700

redis (5:5.0.14-1+deb10u9) buster-security; urgency=high

  * Non-maintainer upload by the ELTS Team.
  * CVE-2025-32023: An authenticated user may have used a specially-crafted
    string to trigger a stack/heap out-of-bounds write during hyperloglog
    operations, potentially leading to remote code execution. Installations
    that used Redis' ACL system to restrict hyperloglog "HLL" commands are
    unaffected by this issue. (Closes: #1108975)
  * CVE-2025-48367: An unauthenticated connection could have caused repeated IP
    protocol errors, leading to client starvation and ultimately become a
    Denial of Service (DoS) attack. (Closes: #1108981)
  * Correct naming/ordering of some existing patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Jul 2025 09:01:44 -0700

redis (5:5.0.14-1+deb10u8) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2025-21605: Limit output buffer for unauthenticated clients

 -- Adrian Bunk <bunk@debian.org>  Sun, 11 May 2025 11:38:17 +0300

redis (5:5.0.14-1+deb10u7) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2024-46981: LUA garbage collector code execution

 -- Adrian Bunk <bunk@debian.org>  Sun, 19 Jan 2025 14:44:36 +0200

redis (5:5.0.14-1+deb10u6) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2022-35977: integer overflows in SETRANGE and SORT
  * CVE-2023-25155: SRANDMEMBER integer overflow
  * CVE-2024-31228: unbounded pattern matching DoS

 -- Adrian Bunk <bunk@debian.org>  Tue, 26 Nov 2024 16:54:28 +0200

redis (5:5.0.14-1+deb10u5) buster-security; urgency=high

  * CVE-2023-45145: On startup, Redis began listening on a Unix socket before
    adjusting its permissions to the user-provided configuration. If a
    permissive umask(2) was used, this created a race condition that enabled,
    during a short period of time, another process to establish an otherwise
    unauthorized connection. (Closes: #1054225)

 -- Chris Lamb <lamby@debian.org>  Mon, 23 Oct 2023 13:22:27 +0100

redis (5:5.0.14-1+deb10u4) buster-security; urgency=high

  * CVE-2023-28856: Authenticated users could have used the `HINCRBYFLOAT`
    command to create an invalid hash field that would have crashed the Redis
    server on access. (Closes: #1034613)

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Apr 2023 12:41:23 +0100

redis (5:5.0.14-1+deb10u3) buster-security; urgency=high

  * CVE-2022-36021: Authenticated users could have used string matching
    commands (like `SCAN` or `KEYS`) with a specially crafted pattern to
    trigger a denial-of-service attack, causing it to hang and consume 100% CPU
    time.

 -- Chris Lamb <lamby@debian.org>  Mon, 13 Mar 2023 16:39:07 +0000

redis (5:5.0.14-1+deb10u2) buster-security; urgency=high

  * CVE-2022-0543: Prevent a Debian-specific Lua sandbox escape vulnerability.

    This vulnerability existed because the Lua library in Debian is provided as
    a dynamic library. A "package" variable was automatically populated that
    in turn permitted access to arbitrary Lua functionality. As this extended
    to, for example, the "execute" function from the "os" module, an attacker
    with the ability to execute arbitrary Lua code could potentially execute
    arbitrary shell commands.

    Thanks to Reginaldo Silva <https://www.ubercomp.com> for discovering and
    reporting this issue. (Closes: #1005787)

 -- Chris Lamb <lamby@debian.org>  Mon, 14 Feb 2022 14:40:49 -0800

redis (5:5.0.14-1+deb10u1) buster-security; urgency=high

  * New upstream security release:

    - CVE-2021-32762: Integer to heap buffer overflow issue in redis-cli and
      redis-sentinel parsing large multi-bulk replies on some older and less
      common platforms.

    - CVE-2021-32687: Integer to heap buffer overflow with intsets, when
      set-max-intset-entries is manually configured to a non-default, very
      large value.

    - CVE-2021-32675: Denial Of Service when processing RESP request payloads
      with a large number of elements on many connections.

    - CVE-2021-32672: Random heap reading issue with Lua Debugger.

    - CVE-2021-32628: Integer to heap buffer overflow handling ziplist-encoded
      data types, when configuring a large, non-default value for
      hash-max-ziplist-entries, hash-max-ziplist-value,
      zset-max-ziplist-entries or zset-max-ziplist-value.

    - CVE-2021-32627: Integer to heap buffer overflow issue with streams, when
      configuring a non-default, large value for proto-max-bulk-len and
      client-query-buffer-limit.

    - CVE-2021-32626: Specially crafted Lua scripts may result with Heap
      buffer overflow.

    - CVE-2021-41099: Integer to heap buffer overflow handling certain string
      commands and network payloads, when proto-max-bulk-len is manually
      configured to a non-default, very large value.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Oct 2021 15:39:35 +0100

redis (5:5.0.3-4+deb10u3) buster; urgency=medium


