=== debian/tests/control ===
Tests: 0001-redis-cli

Tests: 0002-benchmark

Tests: 0003-redis-check-aof

Tests: 0004-redis-check-rdb
Restrictions: needs-root

Tests: 0005-cjson
