## redis 6.0.6

=== debian/changelog ===
redis (5:6.0.6-1) unstable; urgency=medium

  * New upstream release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 25 Jul 2020 16:05:56 +0100

redis (5:6.0.5-1) unstable; urgency=medium

  * New upstream release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>

 -- Chris Lamb <lamby@debian.org>  Sat, 13 Jun 2020 10:48:30 +0100

redis (5:6.0.4-1) unstable; urgency=medium

  * New upstream release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Jun 2020 10:28:58 +0100

redis (5:6.0.3-1) unstable; urgency=medium

  * New upstream release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>

 -- Chris Lamb <lamby@debian.org>  Wed, 20 May 2020 11:53:47 +0100

redis (5:6.0.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Chris Lamb <lamby@debian.org>  Sat, 16 May 2020 16:19:33 +0100

redis (5:6.0.1-1) experimental; urgency=medium

  * New upstream "General Availability" release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>

 -- Chris Lamb <lamby@debian.org>  Wed, 06 May 2020 16:27:19 +0100

redis (5:6.0.0-2) unstable; urgency=medium

  * Mark 0004-redis-check-rdb as being flaky for now.
  * Wrap long changelog line.
  * Correct spelling mistake in autopkgtest comment.

 -- Chris Lamb <lamby@debian.org>  Sun, 03 May 2020 12:04:50 +0100

redis (5:6.0.0-1) unstable; urgency=medium

  * New upstream "GA" release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>
    - Drop 0002-Mark-extern-definition-of-SDS_NOINIT-in-sds.h.patch; merged
      upstream.
  * Upload to unstable.
    - Update debian/gbp.conf.

 -- Chris Lamb <lamby@debian.org>  Sat, 02 May 2020 23:36:45 +0100

redis (5:6.0~rc4-1) experimental; urgency=medium

  * New upstream beta release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>
  * Use the newly-package liblzf-dev package over the local version.
    (Closes: #958321)
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Apr 2020 11:51:41 +0100

redis (5:6.0~rc3-1) experimental; urgency=medium

  * New upstream beta release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>

 -- Chris Lamb <lamby@debian.org>  Wed, 15 Apr 2020 11:22:59 +0100

redis (5:6.0~rc2-1) experimental; urgency=medium

  * New upstream beta release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 11 Mar 2020 13:32:21 +0000

redis (5:6.0~rc1-3) experimental; urgency=medium

  * Install openssl in the testsuite; required for generating test
    certificates.
  * Correct a typo in a previous changelog entry.

 -- Chris Lamb <lamby@debian.org>  Wed, 04 Mar 2020 08:22:14 -0800

redis (5:6.0~rc1-2) experimental; urgency=medium

  * Add support for TLS added in Redis 6.x. Thanks to Jason Perrin for the
    patch. (Closes: #951255)
  * Add a comment regarding why we export a MAKEFLAGS variable in debian/rules.
  * Bump Standards-Version to 4.5.0.

 -- Chris Lamb <lamby@debian.org>  Thu, 13 Feb 2020 14:20:15 +0000

redis (5:6.0~rc1-1) experimental; urgency=medium

  * New upstream RC1 release.
    <http://antirez.com/news/131>
  * Refresh patches.
  * Disable using the system hiredis for now, awaiting a a new upstream
    release.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Dec 2019 15:28:01 +0000

redis (5:5.0.7-7) unstable; urgency=medium

  * Add a sleep to ensure that the redis server has started before running the
    autopkgtests.

 -- Chris Lamb <lamby@debian.org>  Thu, 23 Apr 2020 13:32:46 +0100

redis (5:5.0.7-6) unstable; urgency=medium

  * No change sourceful upload to permit migration to testing.

 -- Chris Lamb <lamby@debian.org>  Wed, 22 Apr 2020 16:29:58 +0100

redis (5:5.0.7-5) unstable; urgency=medium

  * Ensure that the redis daemon is running prior to running the autopkgtests.

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Apr 2020 11:47:38 +0100

redis (5:5.0.7-4) unstable; urgency=medium

  * Use the newly-package liblzf-dev package over the local version.
    (Closes: #958321)
  * Don't duplicate long description of the redis-server package in the
    metapackage.

 -- Chris Lamb <lamby@debian.org>  Mon, 20 Apr 2020 22:30:42 +0100

redis (5:5.0.7-3) unstable; urgency=medium

  * Fix FTBFS with GCC 10. (Closes: #957751)
  * Refresh all patches.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Apr 2020 23:11:08 +0100
