=== debian/control ===
--- 
+++ 
@@ -3,18 +3,22 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
  libhiredis-dev (>= 0.14.0),
+ liblzf-dev,
  libjemalloc-dev [linux-any],
  liblua5.1-dev,
+ libssl-dev,
  lua-bitop-dev,
  lua-cjson-dev,
+ openssl <!nocheck>,
  procps <!nocheck>,
  tcl <!nocheck>,
+ tcl-tls <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: https://redis.io/
-Vcs-Git: https://salsa.debian.org/lamby/pkg-redis.git
+Vcs-Git: https://salsa.debian.org/lamby/pkg-redis.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-redis
 Rules-Requires-Root: no
 
@@ -30,6 +34,8 @@
  manipulating and querying data structures such as lists and sets.
  .
  The dataset is stored entirely in memory and periodically flushed to disk.
+ .
+ This package installs the main redis-server package.
 
 Package: redis-sentinel
 Architecture: any
