## redis 6.0.11

=== debian/changelog ===
redis (5:6.0.11-1) unstable; urgency=medium

  * New upstream release, incorporating security issues. (Closes: #983446)
    - Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Feb 2021 11:05:06 +0000

redis (5:6.0.10-4) unstable; urgency=medium

  * New upstream release
    - Fix cluster access to unaligned memory on ARM architectures with hard
      alignment requirements such as armhf and arm64. (Closes: #982504)
  * wrap-and-sort -sa.

 -- Chris Lamb <lamby@debian.org>  Thu, 11 Feb 2021 14:49:41 +0000

redis (5:6.0.9-4) unstable; urgency=medium

  * Send systemd readiness notification when we are ready to accept connections
    in order to fix systemd integration when Redis is used with replicaof.
    Thanks to Guillem Jover for the report and patch. (Closes: #981226)

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Jan 2021 10:12:06 +0000

redis (5:6.0.9-3) unstable; urgency=medium

  * Also remove the /etc/redis directory in purge.
  * Allow /etc/redis to be rewritten. Thanks to Yossi Gottlieb for the patch.
    (Closes: #981000)

 -- Chris Lamb <lamby@debian.org>  Mon, 25 Jan 2021 12:44:05 +0000

redis (5:6.0.9-2) unstable; urgency=medium

  * Enable systemd Type=notify support. Thanks to Michael Prokop for all his
    help in integration. (Closes: #977852)
  * Bump Standards-Version to 4.5.1.

 -- Chris Lamb <lamby@debian.org>  Wed, 13 Jan 2021 11:11:40 +0000

redis (5:6.0.9-1) unstable; urgency=medium

  * New upstream release.
    - Update patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 27 Oct 2020 10:24:49 +0000

redis (5:6.0.8-2) unstable; urgency=medium

  * Apply a patch from Yossi Gottlieb to fix a crash when reporting RDB/AOF
    file errors. (Closes: #972683)
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Thu, 22 Oct 2020 15:50:56 +0100

redis (5:6.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 16 Sep 2020 10:57:22 +0100

redis (5:6.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Set some Forwarded headers.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Sep 2020 11:44:29 +0100
