=== debian/watch ===
version=4
opts=uversionmangle=s/-?(alpha|beta|rc)/~$1/ \
	https://github.com/antirez/redis/releases .*/archive/(6\.[01]\..*).tar.gz
