## redis 6.0.15

=== debian/changelog ===
redis (5:6.0.15-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Aug 2021 09:19:08 +0100

redis (5:6.0.15-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2021-32761: Integer overflow issues with BITFIELD command
      on 32-bit systems.
  * Bump Standards-Version to 4.5.1.

 -- Chris Lamb <lamby@debian.org>  Wed, 21 Jul 2021 22:21:54 +0100

redis (5:6.0.14-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 07 Jun 2021 08:14:36 +0100

redis (5:6.0.14-1) unstable; urgency=medium

  * CVE-2021-32625: Fix a vulnerability in the STRALGO LCS command.
    (Closes: #989351)

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Jun 2021 17:35:19 +0100

redis (5:6.0.13-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2021-29477: Vulnerability in the STRALGO LCS command.
    - CVE-2021-29478: Vulnerability in the COPY command for large intsets.
    (Closes: #988045)
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 04 May 2021 11:06:14 +0100

redis (5:6.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 06 Mar 2021 11:03:47 +0000

redis (5:6.0.10-4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Feb 2021 10:04:26 +0000

redis (5:6.0.9-4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 31 Jan 2021 09:50:50 +0000

redis (5:6.0.9-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 27 Jan 2021 10:33:40 +0000

redis (5:6.0.9-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Sat, 16 Jan 2021 10:02:18 +0000

redis (5:6.0.9-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Oct 2020 08:42:04 +0000

redis (5:6.0.8-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 25 Oct 2020 10:37:01 +0000

redis (5:6.0.8-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 18 Sep 2020 10:55:02 +0100

redis (5:6.0.7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 07 Sep 2020 12:32:14 +0100

redis (5:6.0.6-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Tue, 28 Jul 2020 11:01:57 +0100

redis (5:6.0.5-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 15 Jun 2020 11:22:44 +0100

redis (5:6.0.4-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 05 Jun 2020 10:43:28 +0100

redis (5:6.0.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 22 May 2020 15:01:53 +0100

redis (5:6.0.1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Tue, 19 May 2020 11:45:17 +0100

redis (5:5.0.7-7~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Don't use liblzf in buster-backports as it has not been backported (yet?).

 -- Chris Lamb <lamby@debian.org>  Sat, 25 Apr 2020 13:25:08 +0100

redis (5:5.0.7-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Update debian/gbp.conf.

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Apr 2020 11:42:56 +0100

redis (5:5.0.7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 01 Dec 2019 09:24:49 +0000

redis (5:5.0.6-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 30 Sep 2019 07:47:39 +0100

redis (5:5.0.5-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Update debian/gbp.conf.

 -- Chris Lamb <lamby@debian.org>  Mon, 05 Aug 2019 10:30:21 +0100
