=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,7 @@
 export BUILD_TLS = yes
 export CFLAGS CPPFLAGS LDFLAGS
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/liblzf
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-no-as-needed -ldl -latomic -llzf $(LUA_LDFLAGS)
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-no-as-needed -ldl -latomic $(LUA_LDFLAGS)
 
 # Build jemelloc in parallel
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -47,7 +46,7 @@
 	# Build the non-bundled Lua libraries
 	dh_auto_build --sourcedirectory=deps/lua/src -- $(LUA_OBJECTS)
 	
-	dh_auto_build --parallel -- V=1 USE_SYSTEM_JEMALLOC=yes USE_SYSTEM_LUA=yes USE_SYSTEM_HIREDIS=no
+	dh_auto_build --parallel -- V=1 USE_SYSTEM_JEMALLOC=yes USE_SYSTEM_LUA=yes USE_SYSTEM_HIREDIS=no USE_SYSTEMD=yes
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
